import pypandoc

def convert_md_to_docx(md_file_path, output_docx_path):
    try:
        # 使用 pandoc 将 markdown 文件转换为 docx 文件
        pypandoc.convert_file(md_file_path, 'docx', outputfile=output_docx_path)
        print(f"成功将 {md_file_path} 转换为 {output_docx_path}")
    except Exception as e:
        print(f"转换失败: {e}")

# 调用函数
convert_md_to_docx(r'E:\code\name_classify\readme.md', r'E:\code\name_classify\readme.docx')
